Page MenuHomePhabricator

Add a configurable restart strategy to the streaming updater
Closed, ResolvedPublic3 Estimated Story Points

Description

As a maintainer of the streaming updater I would like the pipeline to automatically restart when a transient error occurs so that I don't have to manually restart it.

Disabling automatic restarts was useful for debugging but now that the pipeline is covering all the usecases it might be better to enable a restart strategy.

AC:

  • decide on one or multiple restart strategy
  • the strategy should be configurable via options/property file
  • the pipeline should restart itself on transient errors
  • the pipeline should die on persistent errors

Event Timeline

dcausse created this task.Oct 14 2020, 8:13 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 14 2020, 8:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBernhardson triaged this task as High priority.Oct 19 2020, 3:40 PM
EBernhardson set the point value for this task to 3.Oct 19 2020, 5:23 PM

Change 635823 had a related patch set uploaded (by DCausse; owner: DCausse):
[wikidata/query/rdf@master] Add support for failure rate restart strategy

https://gerrit.wikimedia.org/r/635823

Change 635823 merged by jenkins-bot:
[wikidata/query/rdf@master] Add support for failure rate restart strategy

https://gerrit.wikimedia.org/r/635823

Gehel closed this task as Resolved.Nov 9 2020, 12:58 PM